#
# spec file for package python-oct2py
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Tests need gui
%bcond_with     test

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-oct2py
Version:        4.0.6
Release:        lp151.2.2
Summary:        Python to GNU Octave bridge
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/blink1073/oct2py
Source:         https://files.pythonhosted.org/packages/source/o/oct2py/oct2py-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module jupyter_octave_kernel >= 0.25}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module scipy}
BuildRequires:  python-mock
%endif
BuildRequires:  fdupes
Requires:       python-jupyter_octave_kernel >= 0.25
BuildArch:      noarch

%python_subpackages

%description
Oct2Py allows you to seamlessly call M-files and Octave functions from Python.
It manages the Octave session for you, sharing data behind the scenes using
MAT files.

%prep
%setup -q -n oct2py-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE.txt licenses licenses/mlabwrap.txt licenses/octavemagic.txt licenses/ompc.txt
%{python_sitelib}/*

%changelog
* Sun Mar 11 2018 sebix+novell.com@sebix.at
- Use %%license macro for license.
* Mon Aug 14 2017 toddrme2178@gmail.com
- Initial version
